%define upstream_name	 Image-Size
%define upstream_version 3.300

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Read the dimensions of an image in several popular formats
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildArch:  noarch

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README ex
%{_bindir}/imgsize
%{_mandir}/*/*
%{perl_vendorlib}/Image

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.300.0-4pclos2017
- rebuild against updates

